package com.nisum.bookstore.service;

import com.nisum.bookstore.dto.BookDto;
import com.nisum.bookstore.entity.Book;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface BookService {
    Flux<BookDto> getBooks();
    Mono<BookDto> getBookById( String id );
    Mono<BookDto> addBook( Mono<BookDto> book );
    Mono<BookDto> updateBook( String id, Mono<BookDto> book );
    Mono<Void> deleteBook(String id);
}
